Remove-Item cert: not working on PS2.0

Welcome Forums General PowerShell Q&A Remove-Item cert: not working on PS2.0

This topic contains 2 replies, has 2 voices, and was last updated by

 
Participant
3 months, 3 weeks ago.

  • Author
    Posts
  • #104746

    Participant
    Points: 1
    Rank: Member

    Hi guys,
    I have been experiencing an issue all day where I cannot seem to remove a certificate from the cert provider using the following cmdlet:

    remove-item cert:\LocalMachine\My\

    The system(s) I want to remotely remove these from are Windows Server 2008 machines which are running their native 2.0 powershell version (yeah I know they need updating but unfortunately change control is holding that back atm.

    So, when I run the said cmdlet I receive the following error:

    Remove-Item : Provider execution stopped because the provider does not support this operation.

    This is really bugging me and after searching through rafts of online articles and trying various other methods nothing seems to work.

    anyone have any ideas and help ease my stress?

    Thanks.

  • #104752

    Participant
    Points: 159
    Helping Hand
    Rank: Participant

    According to the documentation:
    https://docs.microsoft.com/en-us/powershell/module/microsoft.powershell.security/providers/certificate-provider?view=powershell-6

    Remove-Item is not supported for Cert: until PS v3.0 and up.

  • #104804

    Participant
    Points: 1
    Rank: Member

    Bummer,
    Ok looks like we are in for a large scale upgrade 😮

    Thanks for your reply Joel, much appreciated 🙂

The topic ‘Remove-Item cert: not working on PS2.0’ is closed to new replies.